### Constructor

# Gsk RoundedClipNode new

#### Declaration [src]

    GskRenderNode*
    gsk_rounded_clip_node_new (
      GskRenderNode* child,
      const GskRoundedRect* clip
    )

#### Description [src]

Creates a `GskRenderNode` that will clip the `child` to the area given by `clip`.

#### Parameters

`child` | `GskRenderNode`
| The node to draw.
| The data is owned by the caller of the function.
`clip` | `GskRoundedRect`
| The clip to apply.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskRoundedClipNode`
| A new `GskRenderNode`.
| The data is owned by the called function.